<?php

function template_selfbanAccount()
{
	global $context, $settings, $options, $scripturl, $txt, $scripturl;

	// The main containing header.
	echo '
	<div class="cat_bar">
		<h3 class="catbg">
			<span class="ie6_header floatleft"><img src="', $settings['images_url'], '/icons/profile_sm.gif" alt="" class="icon" />', $txt['create_selfbanAccount'], '</span>
		</h3>
	</div>';
	if(!empty($context['selfban_errors'])){
		echo '
		<div class="errorbox">
			', implode('<br />', $context['selfban_errors']['messages']), '
		</div>';
	}

	echo '
	<div id="manage_bans">
		<div class="windowbg">
			<span class="topslice"><span></span></span>
			<div class="content">
				<form action="', $scripturl, '?action=profile;area=selfban;save" method="post" accept-charset="', $context['character_set'], '" name="creator">
					<dl class="settings">
						<dt', isset($context['selfban_errors']['reason']) ? ' class="error"' : '', '>
							<strong>', $txt['ban_reason'], ':</strong><br />
							<span class="smalltext">', $txt['ban_reason_desc'], '</span>
						</dt>
						<dd>
							<textarea name="reason" cols="50" rows="3">', $context['ban']['reason'], '</textarea>
						</dd>
					</dl>
					<fieldset class="ban_settings floatleft">
						<legend', isset($context['selfban_errors']['expire_date']) || isset($context['selfban_errors']['expiration']) ? ' class="error"' : '', '>
							', $txt['ban_expiration'], '
						</legend>
						<label for="expire_date">', $txt['ban_will_expire_within'], '</label>: <input type="text" name="expire_date" id="expire_date" size="3" value="', $context['ban']['expiration']['days'], '" class="input_text" /> ', $txt['ban_days'], '<br />
					</fieldset>
					<fieldset class="ban_settings floatright">
						<legend', isset($context['selfban_errors']['cannot']) ? ' class="error"' : '', '>
							', $txt['ban_restriction'], '
						</legend>
						<input type="checkbox" name="cannot_post" id="cannot_post" value="1"', $context['ban']['cannot']['post'] ? ' checked="checked"' : '', ' class="ban_restriction input_radio" /> <label for="cannot_post">', $txt['ban_cannot_post'], '</label> (<a href="', $scripturl, '?action=helpadmin;help=ban_cannot_post" onclick="return reqWin(this.href);">?</a>)<br />
						<input type="checkbox" name="cannot_login" id="cannot_login" value="1"', $context['ban']['cannot']['login'] ? ' checked="checked"' : '', ' class="ban_restriction input_radio" /> <label for="cannot_login">', $txt['ban_cannot_login'], '</label><br />
					</fieldset>
					<br class="clear_right" />';

	echo '
					<div class="righttext">
						<input type="submit" name="add_ban" value="', $txt['ban_add'], '" class="button_submit" />
						<input type="hidden" name="', $context['session_var'], '" value="', $context['session_id'], '" />
					</div>';

	echo '
				</form>
			</div>
			<span class="botslice"><span></span></span>
		</div>
	</div>
	<br />';

}

?>